Page MenuHomePhabricator

Add buttons to revert change, edit and unwatch page
Closed, ResolvedPublic

Description

Details

Related Gerrit Patches:
labs/tools/crosswatch : masterAdd buttons to edit, revert or unwatch page

Event Timeline

Sitic created this task.Jul 2 2015, 2:00 PM
Sitic claimed this task.
Sitic raised the priority of this task from to Normal.
Sitic updated the task description. (Show Details)
Sitic added a project: crosswatch.
Sitic added subscribers: Aklapper, Sitic, MGChecker.
Restricted Application added a subscriber: Luke081515. · View Herald TranscriptJul 2 2015, 2:00 PM
Sitic moved this task from Backlog to Next up on the crosswatch board.Jul 2 2015, 2:00 PM

I propose that after unwatching a page there should be a possibility to undo this. For example a "Undo"-button could appear there where the entries of the deleted page were before.

Stryn added a subscriber: Stryn.Jul 6 2015, 6:44 PM

Change 226589 had a related patch set uploaded (by Sitic):
Add buttons to edit, revert or unwatch page

https://gerrit.wikimedia.org/r/226589

Change 226589 merged by Sitic:
Add buttons to edit, revert or unwatch page

https://gerrit.wikimedia.org/r/226589

Sitic closed this task as Resolved.Jul 28 2015, 4:59 AM


It now has three buttons to edit, revert or unwatch (turns into a watch icon when pressed to revert the action). I'll add a button to patrol/review if the revision is not patroled/reviewed in the future. Also it shows the revert probability for T106727: Add ORES support there.